<template>
  <div style="padding: 10px 0">
    <el-tabs tab-position="left" :style="'height: '+height+';'">
      <el-tab-pane label="主体">
        <fieldset>
          <legend>&nbsp;主题&nbsp;</legend>
          <div>
            <div v-if="!readOnly">
              <el-button plain size="mini" type="primary" @click="userHandler">选中用户</el-button>
              <el-button plain size="mini" type="primary" @click="roleHandler">选择角色</el-button>
              <el-button plain size="mini" type="primary" @click="deptHandler">选择用户组</el-button>
            </div>
          </div>
        </fieldset>
      </el-tab-pane>
      <el-tab-pane label="客体">客体</el-tab-pane>
      <el-tab-pane label="操作">操作</el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: "dataView",
  props: {
    //选中的业务类型节点
    btmNode: {
      type: Object,
      default: {}
    },
    //选中行数据
    data: {
      type: Object,
      default: {}
    },
    readOnly: {
      type: Boolean,
      default: false
    },
    height: {
      type: String,
      default: '400px'
    },
  },
  data() {
    return {
    }
  },
  created() {
  },
  methods: {

  }
}
</script>

<style scoped>
fieldset {
  padding: 10px 6px;
  margin: 10px 0 0 0;
  border: 1px solid #EBEEF5;
}
</style>
